com.google.gwt.user.client.ui

## Interface FormPanel.SubmitHandler

All Superinterfaces:
  EventHandler

All Known Implementing Classes:
  ListenerWrapper.WrappedOldFormHandler

Enclosing class:
  FormPanel

    public static interface FormPanel.SubmitHandler
    extends EventHandler

Handler for `FormPanel.SubmitEvent` events.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `onSubmit(FormPanel.SubmitEvent event)` Fired when the form is submitted.

### Method Detail

#### onSubmit

    void onSubmit(FormPanel.SubmitEvent event)

Fired when the form is submitted.

The FormPanel must not be detached (i.e. removed from its parent or otherwise disconnected from a `RootPanel`) until the submission is complete. Otherwise, notification of submission will fail.

Parameters:
  `event` - the event